## org.eclipse.emf.ecore.xml.namespace
Interface XMLNamespaceDocumentRoot

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  XMLNamespaceDocumentRootImpl

    public interface XMLNamespaceDocumentRoot

extends EObject

A representation of the model object 'Document Root'.

The following features are supported:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Base`
- `Id`
- `Lang`
- `Space`

See Also:
  `XMLNamespacePackage.getXMLNamespaceDocumentRoot()`

Method Summary
`java.lang.String` `getBase()` Returns the value of the 'Base' attribute
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`java.lang.String` `getLang()` Returns the value of the 'Lang' attribute
`FeatureMap` `getMixed()` Returns the value of the 'Mixed' attribute list.
`SpaceType` `getSpace()` Returns the value of the 'Space' attribute.
`EMap<java.lang.String,java.lang.String>` `getXMLNSPrefixMap()` Returns the value of the 'XMLNS Prefix Map' map.
`EMap<java.lang.String,java.lang.String>` `getXSISchemaLocation()` Returns the value of the 'XSI Schema Location' map.
`boolean` `isSetSpace()` Returns whether the value of the '`Space`' attribute is set
`void` `setBase(java.lang.String value)` Sets the value of the '`Base`' attribute
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setLang(java.lang.String value)` Sets the value of the '`Lang`' attribute
`void` `setSpace(SpaceType value)` Sets the value of the '`Space`' attribute
`void` `unsetSpace()` Unsets the value of the '`Space`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `XMLNamespacePackage.getXMLNamespaceDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    EMap<java.lang.String,java.lang.String> getXMLNSPrefixMap()

  Returns the value of the 'XMLNS Prefix Map' map. The key is of type `String`, and the value is of type `String`,

  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `XMLNamespacePackage.getXMLNamespaceDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    EMap<java.lang.String,java.lang.String> getXSISchemaLocation()

  Returns the value of the 'XSI Schema Location' map. The key is of type `String`, and the value is of type `String`,

  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `XMLNamespacePackage.getXMLNamespaceDocumentRoot_XSISchemaLocation()`

### getBase

    java.lang.String getBase()

  Returns the value of the 'Base' attribute.

  Returns:
    the value of the 'Base' attribute.
  See Also:
    `setBase(String)`, `XMLNamespacePackage.getXMLNamespaceDocumentRoot_Base()`

### setBase

    void setBase(java.lang.String value)

  Sets the value of the '`Base`' attribute.

  Parameters:
    `value` - the new value of the 'Base' attribute.
  See Also:
    `getBase()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `XMLNamespacePackage.getXMLNamespaceDocumentRoot_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`

### getLang

    java.lang.String getLang()

  Returns the value of the 'Lang' attribute.

  Returns:
    the value of the 'Lang' attribute.
  See Also:
    `setLang(String)`, `XMLNamespacePackage.getXMLNamespaceDocumentRoot_Lang()`

### setLang

    void setLang(java.lang.String value)

  Sets the value of the '`Lang`' attribute.

  Parameters:
    `value` - the new value of the 'Lang' attribute.
  See Also:
    `getLang()`

### getSpace

    SpaceType getSpace()

  Returns the value of the 'Space' attribute. The literals are from the enumeration `SpaceType`.

  Returns:
    the value of the 'Space' attribute.
  See Also:
    `SpaceType`, `isSetSpace()`, `unsetSpace()`, `setSpace(SpaceType)`, `XMLNamespacePackage.getXMLNamespaceDocumentRoot_Space()`

### setSpace

    void setSpace(SpaceType value)

  Sets the value of the '`Space`' attribute.

  Parameters:
    `value` - the new value of the 'Space' attribute.
  See Also:
    `SpaceType`, `isSetSpace()`, `unsetSpace()`, `getSpace()`

### unsetSpace

    void unsetSpace()

  Unsets the value of the '`Space`' attribute.

  See Also:
    `isSetSpace()`, `getSpace()`, `setSpace(SpaceType)`

### isSetSpace

    boolean isSetSpace()

  Returns whether the value of the '`Space`' attribute is set.

  Returns:
    whether the value of the 'Space' attribute is set.
  See Also:
    `unsetSpace()`, `getSpace()`, `setSpace(SpaceType)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.